package com.example.tmap_test

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.example.tmap_test.databinding.ListItemBinding

class RecyclerAdapter(private val context: Context, private val data: MutableList<ListItem>): RecyclerView.Adapter<RecyclerAdapter.ListItemViewHolder>() {

    inner class ListItemViewHolder(private val binding: ListItemBinding): RecyclerView.ViewHolder(binding.root) {
        fun bind(item: ListItem) {
            binding.ivListItem.setImageResource(item.imageId)
            binding.tvListItem.text = item.text
        }
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ListItemViewHolder {
        return ListItemViewHolder(ListItemBinding.inflate(LayoutInflater.from(context), parent, false))
    }

    override fun onBindViewHolder(holder: ListItemViewHolder, position: Int) {
        val item = data[position]
        holder.bind(item)
    }

    override fun getItemCount(): Int = data.size
}